rake (12.3.1-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: OS command injection
    - debian/patches/CVE-2020-8130.patch: use File.open explicitly
      lib/rake/file_list.rb.
    - CVE-2020-8130

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 03 Mar 2020 10:44:04 -0300

rake (12.3.1-1) unstable; urgency=medium

  * New upstream release. 
  * debian/patches: Refresh for release 12.3.1-1. 

 -- Georg Faerber <georg@riseup.net>  Fri, 23 Mar 2018 23:27:13 +0100

rake (12.3.0-2) unstable; urgency=medium

  * debian/control:
    - Add myself as Uploader.
    - Bump required debhelper version to >= 11~.
    - Bump Standards-Version to 4.1.3, no changes needed.
    - Use salsa.debian.org for Vcs-{Git,Browser} fields.
    - Run wrap-and-sort.
  * debian/copyright:
    - Use HTTPS in link to copyright format specification.
    - Include missing authors and bump years to include 2018.
  * debian/compat: Bump debhelper compat level to 11.
  * debian/ruby-tests.rb: Ensure tests are working with ruby 2.5: Remove the
    call to the dropped option '-rubygems' in ruby 2.5, make the run of the
    testsuite verbose, and, drop the fixed seed, again. The later was needed
    to ensure the testsuite was executed successfully; this was fixed
    upstream, now. (Closes: #890751)
  * debian/rules: Install upstream changelog.

 -- Georg Faerber <georg@riseup.net>  Tue, 20 Mar 2018 03:04:12 +0100

rake (12.3.0-1) unstable; urgency=medium

  * New upstream version 12.3.0
  * Refresh patches
  * Bump Standards-Version to 4.1.2; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 07 Dec 2017 08:58:52 -0200

rake (12.0.0-1) unstable; urgency=medium

  * debian/watch, debian/copyright: pull from ruby/rake on Github
  * New upstream release
  * debian/copyright: drop paragraph that became unused
  * Refresh patches
  * debian/ruby-tests.rb:
    - adapt to reorganization in upstream source
    - force SEED used in randomizing test order, since the tests fail randomly
      depending on the order they are executed. See
      https://github.com/ruby/rake/issues/212
  * debian/control:
    - drop Build-Depends that are no longer necessary due to upstream changes
    - add ruby-bundler to Build-Depends
    - Change Testsuite: to autopkgtest-pkg-ruby
    - Bump Standards-Version to 4.0.0; no changes needed
  * Drop debian/tests/*: just use the common Ruby testing infrastructure
  * debian/patches/0003-gemspec-drop-git-usage.patch: drop usage of git in
    rake.gemspec

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 30 Jun 2017 18:02:58 -0300

rake (10.5.0-2) unstable; urgency=medium

  * Team upload.
  * Set Multi-Arch: foreign to allow crossinstall of ruby itself

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 01 Mar 2016 19:15:02 +0100

rake (10.5.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add debian/patches/skip-rake-libdir.patch: avoid includingh
    -I/usr/lib/ruby/vendor_ruby first in $LOAD_PATH, what breaks running tests
    of ruby-foo if there is another copy of ruby-foo already installed.
  * debian/control:
    - Bump Standards-Version to 3.9.7; no changes neeedd
    - Switch Vcs-* to https URLs

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 29 Feb 2016 17:03:19 -0300

rake (10.4.2-2) unstable; urgency=medium

  * Fix bash completion

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 11 Nov 2015 15:06:00 -0200

rake (10.4.2-1) unstable; urgency=medium

  * Team upload.
  * Remove obsolete d/require-rubygems.overrides
  * New upstream release: 10.4.2
    * Depends on newer minitest which is available in Debian.
      (Closes: #704150)
    * Remove upstream-applied patches.
  * debian/control: Replace XS-Testsuite with Testsuite
  * Update bash-completion install directory

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 31 Jul 2015 08:29:08 +0200

rake (10.3.2-2) unstable; urgency=medium

  * updated manpage to not reference rake-doc
  * bumped standards to 3.9.6 (no changes)

 -- Caitlin Matos <caitlin.matos@zoho.com>  Fri, 19 Sep 2014 15:43:51 -0400

rake (10.3.2-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Remove myself from Uploaders

  [ Caitlin Matos ]
  * New upstream release: 10.3.2
  * updated homepage
  * added self to uploaders
  * updated d/copyright
  * refreshed patches
  * added new BD: ruby-hoe
  * removed DH_RUBY_IGNORE_TESTS (unnecessary now)
  * updated and revised manpage, submitted upstream (Closes: #755845)
  * bumped dh, compat to 9

  [ Antonio Terceiro ]
  * bash completion: Improve speed and accuracy with colons in task names by
    borrowing some ideas from https://github.com/ai/rake-completion. Too bad
    they never tried to improve the completion included in this package
    instead.

 -- Caitlin Matos <caitlin.matos@zoho.com>  Thu, 28 Aug 2014 12:01:27 -0400

rake (10.1.1-1) unstable; urgency=medium

  * New upstream release
  * added debian/patches/skip_permission_test.patch
    - skips a test that is doomed to fail under fakeroot
  * added debian/patches/autopkgtest.patch
    - sets the right environment to run testsuite against the package as
      installed

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 15 Feb 2014 16:38:36 -0300

rake (10.0.4-1) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields

  [ Antonio Terceiro ]
  * New upstream release
  * debian/patches/0001-remove_rubygems.patch: refresed

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 May 2013 21:46:10 -0300

rake (0.9.2.2-4) unstable; urgency=low

  * Bump build dependency on gem2deb to >= 0.3.0~

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Jun 2012 19:59:21 -0300

rake (0.9.2.2-3) unstable; urgency=low

  * debian/control:
    - Drop the depend on rdoc, as the ruby | ruby-interpreter depend already
      provides it (closes: #651503).
    - Drop the depend on rubygems, it is not needed.
    - Added myself to the uploaders.
    - Bumped standards version to 3.9.3; no changes required.
  * debian/copyright: update the format header for copyright format
    version 1.0.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 17 Jun 2012 15:37:48 +0200

rake (0.9.2.2-2) unstable; urgency=low

  * Replace libflexmock-ruby* by ruby-flexmock in Build-Depends
  * Fix patch that removes Rubygems dependencies (Closes: #649984)
    + added a DEP8-style test for that

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 25 Nov 2011 10:25:49 -0200

rake (0.9.2.2-1) unstable; urgency=low

  [ Ondřej Surý ]
  * New upstream release.
  * Convert package to gem2deb and to Ruby Wheezy policy.
  * Adopt the package under Debian Ruby Extras Maintainers,

  [ Antonio Terceiro ]
  * Fix bash completion (Closes: #638572). Thanks to Daniel T Chen for
    forwarding the patch from Ubuntu.
  * Properly escape minus signs in rake(1) manpage.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 20 Nov 2011 15:46:07 -0200

rake (0.8.7-2) unstable; urgency=low

  * Remove build-dependency on libtest-unit-ruby. No longer needed.
    (closes: #577868)
  * Update standards to 3.8.4

 -- Adam Majer <adamm@zombino.com>  Fri, 16 Apr 2010 22:21:30 -0500

rake (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Update standards to 3.8.3
  * Update required debhelper to at least version 7

 -- Adam Majer <adamm@zombino.com>  Fri, 04 Sep 2009 11:23:31 -0500

rake (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Update Standards to 3.8.0 - no changes.

 -- Adam Majer <adamm@zombino.com>  Mon, 09 Mar 2009 14:09:01 -0500

rake (0.8.3-1) unstable; urgency=low

  * New upstream release
  * debian/control
     + Git repository tags added
     + Homepage link added
     + Use Debian's flexmock package instread of supplying our own.

 -- Adam Majer <adamm@zombino.com>  Mon, 23 Feb 2009 01:53:22 -0600

rake (0.8.1-3) unstable; urgency=low

  * Apply upstream patch (SVN r632) correcting one of the unit
    tests. The old unit test depends on the file system ordering
    while the new ones just check for consistency. File order is
    unimportant. (closes: #462817)

 -- Adam Majer <adamm@zombino.com>  Mon, 28 Jan 2008 11:42:11 -0600

rake (0.8.1-2) unstable; urgency=low

  * Really add zip as part of the recommends. Forgot to do that in the
    last upload. (closes: #378701)

 -- Adam Majer <adamm@zombino.com>  Sat, 26 Jan 2008 17:45:44 -0600

rake (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Update Standard to 3.7.3 - no changes needed
  * debian/rules changes:
    + Remove bunch of MacOS specific files shipped in upstream tarball
    + Fixed unit testing by creating a missing subdirectory - it was
      actually missing in the tarball (closes: #436321)

 -- Adam Majer <adamm@zombino.com>  Sat, 26 Jan 2008 14:01:51 -0600

rake (0.7.3-1) unstable; urgency=low

  * New upstream release
  * Updated flexmock from 0.1.7 to 0.6.0
  * Updated Standards to 0.7.2 - no changes
  * Fixed Build-Depends on debhelper

 -- Adam Majer <adamm@zombino.com>  Sun, 06 May 2007 17:15:36 -0500

rake (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Mon, 19 Mar 2007 17:18:22 -0500

rake (0.7.1-1) unstable; urgency=low

  * New upstream release
     + Added a missing test2.rake file in test/rakelib so the unit
     tests succeed.

 -- Adam Majer <adamm@zombino.com>  Sun, 14 May 2006 00:30:02 -0500

rake (0.7.0-1) unstable; urgency=low

  * New upstream release (closes: 351999)
     + Added flexmock to the package's source to enable tests during build
     + dpatch is no longer needed for building (closes: 350577)
  * Moved Build-Depends to Build-Depends-Indep

 -- Adam Majer <adamm@zombino.com>  Sat, 11 Feb 2006 15:19:14 -0600

rake (0.6.2-2) unstable; urgency=low

  *  Apply an upstream patch to fix a problem with current Ruby fileutils and
     removal of noop option. Thanks to Lucas Nussbaum for pointing this out
     and finding the patch. (closes: #336937)

 -- Adam Majer <adamm@zombino.com>  Wed,  9 Nov 2005 21:41:16 -0600

rake (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Thu, 13 Oct 2005 18:36:11 -0500

rake (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Updated to standards 3.6.2. No changes needed.

 -- Adam Majer <adamm@zombino.com>  Wed,  7 Sep 2005 13:18:33 -0500

rake (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Added bash completion for rake thanks to Michael Schuerig (closes:
    #307051)

 -- Adam Majer <adamm@zombino.com>  Mon,  2 May 2005 12:37:03 -0500

rake (0.5.3-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Mon, 11 Apr 2005 08:46:28 -0500

rake (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Wed, 30 Mar 2005 18:24:01 -0600

rake (0.4.15-2) unstable; urgency=low

  * Added a missing build depends on rdoc thanks to Andreas Jochens (closes:
    #298339)

 -- Adam Majer <adamm@zombino.com>  Sun,  6 Mar 2005 15:12:41 -0600

rake (0.4.15-1) unstable; urgency=low

  * Initial Release (closes: #291732)

 -- Adam Majer <adamm@zombino.com>  Thu, 10 Feb 2005 18:37:28 -0600
